commit:     2fcf2f98426dc9cd072647da2e00692037b999c5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 29 09:06:34 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jan 29 10:42:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2fcf2f98

dev-python/hypothesis: Bump to 6.1.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/hypothesis/Manifest                |  1 +
 dev-python/hypothesis/hypothesis-6.1.0.ebuild | 64 +++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 7e5697ccde9..63bb602bca4 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -4,3 +4,4 @@ DIST hypothesis-python-6.0.1.tar.gz 9104122 BLAKE2B 
c4702a2c94fb5ecfc44543b70995
 DIST hypothesis-python-6.0.2.tar.gz 9104422 BLAKE2B 
1f932e2e2c7f3b3f56863fecfeafe3d811fbc19dbb459b3e7497fb14d6b6ef73bf4c7c60957a4170594805e443a4730d5a0561fb2e6cb3ba10da801ef655a8b9
 SHA512 
7d3689c6964f5158b4ab7b638d43c44b145080e47b832405c50971ea986b2c78c9be648de78c9783c6adc34e117b90b2c2e4b684783a68acc6bdff51ee085248
 DIST hypothesis-python-6.0.3.tar.gz 9104754 BLAKE2B 
46b713820790daa60b4a7d56bca4ebc72482e9d39b6b37c929b91eebb1f48324e56206f85de78c7744f65d54dd678075aa040f1a745e56a8db217ffc26f3ced2
 SHA512 
7762c6a1da52cf21f1fb7333cb6f7d302e825a9fe4ad13b85cf94f5f1b450410ed2bdbc40cff54a23629c758e8513d1a39767e0b415db61a07ff74489573a916
 DIST hypothesis-python-6.0.4.tar.gz 9106652 BLAKE2B 
4a35185605476d70ef6c768f4fe76c75341cfe18e7c0ba45e8c1c445f4f49d376bd580fd8b0910fc35b123e5f1756df0c4e848d79789b531bf5b35180980b3b9
 SHA512 
834b5c19760e9639baba0fcb3e5a09fb1d94c4ab763049e5f16df7fd8db357bc300041293b951a9078752fd05dd9cfd5b39fa45d78742e92ff77a17bb49d3f43
+DIST hypothesis-python-6.1.0.tar.gz 9108138 BLAKE2B 
30ac9e8b40fb073e15dc480b19b6d448c14c04b6b0e405720c05fa5f93532986e5956e27e28d966aad4378b7168d1a923bb28a87db87529d9995e526fa40e44b
 SHA512 
897758e3bd6295dd8acf192a180a244277dc408dff851b7964878b3efbadf5c636961048cb8af89478e9ceceaafeb796526ca846355711f27dadc9c099517e44

diff --git a/dev-python/hypothesis/hypothesis-6.1.0.ebuild 
b/dev-python/hypothesis/hypothesis-6.1.0.ebuild
new file mode 100644
index 00000000000..973ce1a66b6
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.1.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{7..9} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 eutils multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis 
https://pypi.org/project/hypothesis/";
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz";
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~x64-macos"
+IUSE="cli test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+       >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+       cli? (
+               $(python_gen_cond_dep '
+                       dev-python/black[${PYTHON_USEDEP}]
+                       dev-python/click[${PYTHON_USEDEP}]
+               ' 'python*')
+       )
+"
+BDEPEND="
+       test? (
+               ${RDEPEND}
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pexpect[${PYTHON_USEDEP}]
+               <dev-python/pytest-6.2[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+               !!<dev-python/typing-3.7.4.1
+       )
+"
+
+python_prepare() {
+       if ! use cli || [[ ${EPYTHON} != python* ]]; then
+               sed -i -e '/console_scripts/d' setup.py || die
+       fi
+}
+
+python_test() {
+       distutils_install_for_testing --via-root
+       pytest -vv tests/cover tests/pytest tests/quality \
+               -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")" ||
+               die "Tests fail with ${EPYTHON}"
+}
+
+pkg_postinst() {
+       optfeature "datetime support" dev-python/pytz
+       optfeature "dateutil support" dev-python/python-dateutil
+       optfeature "numpy support" dev-python/numpy
+       optfeature "django support" dev-python/django dev-python/pytz
+       optfeature "pandas support" dev-python/pandas
+       optfeature "pytest support" dev-python/pytest
+}

Reply via email to